﻿@model IEnumerable<CallMgrSystem.Models.tbl_Sites>

@{
    ViewBag.Title = "Quản lý Trạm | SmartCenter Recording";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="admins">
    <div class="list-location">
        <h3><i class="fab fa-slack"></i> Danh sách trạm</h3>
        <a href="/Sites/Create">
            <button class="btn btn-success btn-md" style="margin-bottom: 10px;">
                <i class="fas fa-plus"></i>
                Thêm trạm
            </button>
        </a>
        <table id="f5devTable" class="table table-striped table-condensed">
            <thead>
                <tr>
                    <th onclick="sortTable(0)">Stt</th>
                    <th onclick="sortTable(1)">Tên trạm</th>
                    <th onclick="sortTable(2)">IP Address</th>
                    <th onclick="sortTable(3)">Ghi chú</th>
                    <th onclick="sortTable(4)" style="text-align: right">Hành động</th>
                </tr>
            </thead>
            <tbody>
                @{ int i = 0;}
                @foreach (var item in Model)
                {
                    i++;
                    <tr>
                        <td>@i</td>
                        <td>@item.Name</td>
                        <td>@item.IPAddress</td>
                        <td>@item.Description</td>
                        <td class="f5dev_action">
                            <a href="/Sites/Edit/@item.ID"><i class="fas fa-edit item_edit"></i></a> <a href="/Sites/Delete/@item.ID"><i class="fas fa-times-circle item_delete"></i></a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div> <!-- End List Location -->
</div>